import { createRoot } from "react-dom/client";
import React from "react";

type StreamSelectCallback = (selected: string) => void

type MenuProps = {
    items: string[]
    selectedItem: string | undefined
    selectCallback: StreamSelectCallback
}

export class Menu extends React.Component<MenuProps> {
    constructor(props: MenuProps) {
        super(props)
    }

    render() {
        return (
            <div id="menu">
                <aside>
                    <a className="menu-heading" href="#">stream.t-juice.club</a>
                    <ul className="menu-list">
                        {this.menuitems()}
                    </ul>
                </aside>
            </div>
        )
    }

    private menuitems() {
        return (
            <>
                {this.props.items.map((value, idx) => {
                    if (this.props.selectedItem == value) {
                        return <li key={idx} className="menu-item menu-selected"><a href={"#" + value} className="menu-link">{value}</a></li>
                    } else {
                        return <li key={idx} onClick={() => {
                            this.props.selectCallback(value)
                        }} className="menu-item"><a href={"#" + value} className="menu-link">{value}</a></li>
                    }
                })}
            </>
        )
    }
}
